# cfxdm - dm:enrich

**dm:enrich:** This cfxdm tag allows the user to enrich an existing dataset by looking into additional datasets or dictionaries and brings in additional enriched information from them as per user's selection and requirement.

**dm:enrich** synta&#x78;**:**&#x20;

* **dict** (mandatory)**:** Dictionary name (named dataset) which has additional enrichment data.
* **src\_key\_cols** (mandatory)**:** Named dataset's (source) key columns, comma separated.
* **dict\_key\_cols** (mandatory)**:** Dictionary name's (named dataset) key columns, comma separated.
* **enrich\_cols** (mandatory)**:** Enriched column names from Dictionary (named dataset) selected under '**dict**' option, comma separated.

{% hint style="info" %}
The number of selected columns (count), for both **src\_key\_cols** & **dict\_key\_cols** options should be same.

i.e. if two columns are specified in **src\_key\_cols,** make sure two columns are specified in **dict\_key\_cols** to&#x6F;**.**
{% endhint %}

**Example:**&#x20;

Below dataset has target IP Addresses with what processes are running on each target machine.

![](/files/-MX4iGOezYndqnGRMvCs)

The below dataset has the same target IP Addresses with what Services are running on each target machine.

![](/files/-MX4j50KCQgPHMuuOmZO)

Each running service has a corresponding process name and by using **dm:enrich** tag, we can merge both datasets by enriching the second dataset (app-processes-list) by using the first dataset (app-services-list) and map the corresponding process name.

Common attributes between datasets are IPAddress & PID which will be the columns for both **src\_key\_cols** & **dict\_key\_cols** and **Process\_Name** is selected as **enrich\_cols**

{% hint style="info" %}
**dm:recall** tag needs to be used in the below example to read the data from '**app-services-list**' dataset
{% endhint %}

```
tag @dm:recall
```

```
data name = 'app-services-list' --> @dm:enrich dict = 'app-processes-list' & src_key_cols = 'IP_Address,PID' & dict_key_cols = 'IP_Address,PID' & enrich_cols = 'Process_Name'
```

![](/files/-MX4ktaoqqMmqWq3a1c4)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-data-management-cfxdm/cfxdm-dm-enrich.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
